Add items to watched history

🔒 OAuth Required

Add items to a user's watch history. Accepts shows, seasons, episodes and movies. If only a show is passed, all episodes for the show will be added. If seasons are specified, only episodes in those seasons will be added.

Send a watched_at UTC datetime to mark items as watched in the past. This is useful for syncing past watches from a media center.

IMPORTANT

Please be careful with sending duplicate data. We don't verify the item + watched_at to ensure it's unique, it is up to your app to veify this and not send duplicate plays.

JSON POST Data

KeyTypeValue
moviesarrayArray of movie objects. (see examples ->)
showsarrayArray of show objects.
seasonsarrayArray of season objects.
episodesarrayArray of episode objects.

Media Object POST Data

KeyTypeValue
item *objectmovie, show, or episode object.
watched_atdatetimeUTC datetime when the item was watched. Set to released to automatically use the initial release date + runtime (episodes only). Set to unknown to mark the item as watched without a specific date.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

movies
array | null
movies
shows
array | null
shows
seasons
array of objects | null
seasons
episodes
array of objects | null
episodes
Response

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json